Bug 241308 - devel/nexus2-oss: Update to 2.14.15-01
Summary: devel/nexus2-oss: Update to 2.14.15-01
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Many People
Assignee: Dmitri Goutnik
URL:
Keywords: buildisok, security
Depends on:
Blocks:
 
Reported: 2019-10-17 10:47 UTC by Michael Osipov
Modified: 2019-11-09 16:00 UTC (History)
3 users (show)

See Also:
koobs: merge-quarterly?


Attachments
Patch against /usr/ports (2.67 KB, patch)
2019-10-17 10:47 UTC, Michael Osipov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Osipov 2019-10-17 10:47:53 UTC
Created attachment 208380 [details]
Patch against /usr/ports

Port maintainer here, attached update of port to newest version.

Poudriere passes with

poudriere testport -j 112-release-amd64  -p dev -o devel/nexus2-oss
poudriere testport -j 112-release-i386  -p dev -o devel/nexus2-oss
poudriere testport -j 120-release-amd64  -p dev -o devel/nexus2-oss
poudriere testport -j 120-release-i386  -p dev -o devel/nexus2-oss

Important: this version included several CVE fixes
Comment 1 Steve Wills freebsd_committer 2019-10-17 11:57:00 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/89458423
Comment 2 commit-hook freebsd_committer 2019-11-05 23:59:41 UTC
A commit references this bug:

Author: dmgk
Date: Tue Nov  5 23:59:14 UTC 2019
New revision: 516852
URL: https://svnweb.freebsd.org/changeset/ports/516852

Log:
  devel/nexus2-oss: Update to 2.14.15-01

  PR:		241308
  Submitted by:	Michael Osipov <michael.osipov@siemens.com> (maintainer)
  Approved by:	tz (mentor, implicit)

Changes:
  head/devel/nexus2-oss/Makefile
  head/devel/nexus2-oss/distinfo
  head/devel/nexus2-oss/pkg-plist
Comment 3 Dmitri Goutnik freebsd_committer 2019-11-06 00:01:27 UTC
Committed, thanks!
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2019-11-06 01:49:31 UTC
Pending VuXML entry and MFH
Comment 5 commit-hook freebsd_committer 2019-11-07 12:10:15 UTC
A commit references this bug:

Author: dmgk
Date: Thu Nov  7 12:09:26 UTC 2019
New revision: 516967
URL: https://svnweb.freebsd.org/changeset/ports/516967

Log:
  security/vuxml: Document nexus2-oss vulnerabilities

  PR:		241308
  Approved by:	tz (mentor, implicit)

Changes:
  head/security/vuxml/vuln.xml
Comment 6 commit-hook freebsd_committer 2019-11-09 16:00:25 UTC
A commit references this bug:

Author: dmgk
Date: Sat Nov  9 15:59:42 UTC 2019
New revision: 517133
URL: https://svnweb.freebsd.org/changeset/ports/517133

Log:
  MFH: r516852

  devel/nexus2-oss: Update to 2.14.15-01

  PR:		241308
  Submitted by:	Michael Osipov <michael.osipov@siemens.com> (maintainer)
  Approved by:	tz (mentor, implicit)
  Security:	b2f9573a-008c-11ea-9801-10c37b4ac2ea

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2019Q4/
  branches/2019Q4/devel/nexus2-oss/Makefile
  branches/2019Q4/devel/nexus2-oss/distinfo
  branches/2019Q4/devel/nexus2-oss/pkg-plist